Skip to content
Guides
OrdersOrder Bumps
promotion:read

Get order bump

GET/v1/order-bumps/{orderBumpId}

Get order bump. A successful request returns HTTP 200 with the documented response body.

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Path Parameters

orderBumpId*string

Identifier of the order bump.

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/order-bumps/7204558912004325301" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>"
{  "id": "7204558912004325301",  "storeId": "7204558912004325301",  "name": "Example resource",  "description": "Example description.",  "status": "draft",  "productId": "7204558912004325301",  "variantId": "7204558912004325301",  "offerPrice": 1,  "minimumCartSubtotal": 1,  "priority": 1,  "maxPerCart": 1,  "startsAt": "2026-08-01T15:30:00Z",  "endsAt": "2026-08-01T15:30:00Z",  "badgeLabel": "example",  "callToAction": "example",  "createdOn": "2026-08-01T15:30:00Z",  "updatedOn": "2026-08-01T15:30:00Z"}